#ifndef XPATHNODETREENODES_H
#define XPATHNODETREENODES_H

#include "xasset.h"

#include <QVector>

class XPathNodeTreeNodes : public XAsset
{
public:
    explicit XPathNodeTreeNodes();
    ~XPathNodeTreeNodes();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

    int GetNodeCount() const;
    void SetNodeCount(int count);

    QVector<unsigned short> GetNodes() const;
    void SetNodes(QVector<unsigned short> aNodes);

private:
    int mNodeCount;
    QVector<unsigned short> mNodes;
};

#endif // XPATHNODETREENODES_H
